Count unread news
GET
/v1/news/unread_count/
const url = 'https://example.com/v1/news/unread_count/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/news/unread_count/ \ --header 'Authorization: Bearer <token>'Return the number of visible news items the requesting user has not read yet.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
title
required
string
description
string
category
feature- Featureimprovement- Improvementfix- Fixtip- Tipevent- Event
string
image
string format: uri
banner_image
string format: uri
active
required
boolean
publish_at
A published news only becomes visible once this date is reached.
string format: date-time
expire_at
Once this date is reached, the news is no longer visible.
string format: date-time
cta_label
string
cta_url
Call-to-action target: a full URL (https://…, opens in a new tab) or a panel-relative path (e.g. /settings/cloud, opens in the app).
string
read
required
boolean
my_reaction
required
string
reactions
required
object
key
additional properties
integer
created_at
string format: date-time
modified_at
required
string format: date-time
Example
{ "category": "feature"}